/**
 * Theme Name: Orion Financial Group
 * Template:   blankslate
 * Author:     MetaSource
 * Version:    0.1
 */

 /* Colors & Fonts
---------------------------------------- */
:root {
    /* ---Colors--- */
    --navy: #0f2f43;
    --periwinkle: #5086c6;
    --deeper-periwinkle: #386dab;
    --periwinkle-tint: #b0c9e6;
    --burgundy: #66041e;
    --gray: #555559;
    --light-gray: #cacaca;
    --medium-gray: #8f8f94;
    --dark-gray: #2f2f31;
    --white: #ffffff;
    --gray-tint: #eeeeee;
    --black: #000000;
    --red: #c03a0d;

    /* ---Fonts--- */
    --century-gothic: century-gothic, CenturyGothic, AppleGothic, sans-serif;
    --calibri: calibri, Candara, Segoe, Arial, sans-serif;
    
    /* ---HubSpot Form Overrides--- */
    /* global */
    --hsf-background__padding: 1em 0;
    --hsf-global__font-family: var(--calibri);
    --hsf-global__font-size: 1.15rem;
    --hsf-global__color: var(--gray);
    --hsf-global-error__color: var(--red);
    /* rich text */
    --hsf-richtext__font-family: var(--calibri);    
    /* fields */
    --hsf-field-input__background-color: var(--white);
    --hsf-field-input__border-width: 2px;
    --hsf-field-input__border-color: var(--medium-gray);
    --hsf-field-input__border-radius: 0.313em;
    --hsf-field-input__font-size: 1rem;
    --hsf-field-textarea__font-size: 1rem;
    /* labels */
    --hsf-field-label__color: var(--dark-gray);
    /* buttons */
    --hsf-button__background-color: var(--navy);
    --hsf-button--hover__background-color: var(--deeper-periwinkle);
    --hsf-button__color: var(--white);
    --hsf-button__border-radius: 40px;
    /* errors */
    --hsf-erroralert__font-size: 1rem;
}

/* Resets
---------------------------------------- */
html {
    font: var(--calibri) 1.15rem;
    font-family: var(--calibri);
    font-size: 1.15rem;
    color: var(--gray);
}
strong {
    font-weight: 700;
}
em {
    font-style: italic;
}

/* Template
---------------------------------------- */
.wrapper {
    margin: 0 auto;
}
article {
    height: 100%;
}
article > section:last-of-type {
    padding-bottom: 1.5em;
}
article > section.cta-block:last-of-type {
    padding-bottom: 0;
}

/* Header
---------------------------------------- */
header {
    top: 0;
    position: sticky;
    z-index: 100;
    background: var(--white);
}
#header {
    height: 100%;
    padding: 1em 2em;
}
.header-content {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 0;
    gap: 1em;
}
.header-content .brand {
    flex-basis: 20%;
}
@media (max-width: 1190px) {
    .header {
        padding: 0 2em;
    }
    .header-content {
        padding: 0 2em;
    }
    .header-content .brand {
        flex-basis: 100%;
    }
}
/*-----------Logo-----------*/
img.header-logo {
    padding: 0.8em 0;
}
img.footer-logo {
    padding-bottom: 0.8em;
}
@media (max-width: 480px) {
    .header-logo {
        width: 160px;
        height: auto;
    }
}
/* Navigation
---------------------------------------- */
#main-navigation {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}
#menu-main-nav {
    display: flex;
    flex-flow: row nowrap;
    width: 100%;
}
#menu-main-close {
    position: absolute;
    top: 1rem;
    right: 1rem;
    background: none;
    border: none;
    font-size: 2rem;
    color: var(--deeper-periwinkle);
    cursor: pointer;
    display: none;
    z-index: 1001;
}
nav ul {
    margin: 0;
}
nav ul li {
    padding: 0 1.875em;
}
nav ul li:before {
    content: none;
}
nav ul li ul {
    display: none; /* hide dropdown */
    position: absolute;
    background-color: var(--white);
    box-shadow: 0 2px 8px var(--periwinkle-tint);
    border-radius: 20px;
    top: 2px;
    z-index: 100;
}
nav ul li:hover > ul {
    display: block; /* show dropdown */
}
nav ul li ul li {
    display: block;
    white-space: nowrap;
    margin: 0.6em 0;
    padding: 0.4em 1.4em;
}
ul#menu-main-nav li.menu-item-has-children ul.sub-menu {
    display: block;
    position: absolute;
    left: -9999px;
}
ul#menu-main-nav li.menu-item-has-children:hover ul.sub-menu, ul#menu-main-nav li.menu-item-has-children[aria-expanded="true"] ul.sub-menu {
    left: 0;
    top: 100%;
}
#menu-main-nav a {
    font-weight: 700;
}
#menu-main-nav .sub-menu a {
    font-weight: 400;
}
#menu-main-nav a:hover {
    color: var(--deeper-periwinkle);
    font-weight: 700;
}
#menu-main-toggle {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
}
.submenu-toggle {
    display: none;
}

@media (max-width: 1190px) {
    #menu-main-toggle {
        display: block;
    }
    #menu-main-nav /*slide out sidebar*/ {
        display: flex;
        flex-direction: column;
        background: var(--white);
        position: fixed;
        top: 0;
        left: -100%;
        height: 100vh;
        width: 80%;
        max-width: 300px;
        padding: 1em;
        box-shadow: 8px 0 8px rgba(0, 0, 0, 0.1);
        transition: left 0.3s ease-in-out;
        z-index: 999;
    }
    #menu-main-nav.open {
        left: 0;
        padding: 2.5em 0 0;
    }
    #menu-main-nav.open #menu-main-close {
        display: block;
    }
    nav ul li {
        margin: 0;
        padding: 0.5em 1em;
        font-size: 1.25em;
    }
    nav ul.sub-menu li:not(:last-child) {
        border-bottom: 1px solid var(--periwinkle);
        padding-bottom: 1em;
    }
    nav ul.sub-menu li:last-child {
        padding-bottom: 0;
    }
    nav ul li:not(sub-menu) {
        border: none;
    }
    nav ul li ul.sub-menu {
        position: static;
        box-shadow: none;
        background: none;
        padding: 0;
    }
    ul#menu-main-nav li.menu-item-has-children ul.sub-menu {
        display: none;
        position: relative;
        padding-left: 0.1em;
        white-space: normal;
        width: 100%;
    }
    ul#menu-main-nav li.menu-item-has-children[aria-expanded="true"] > ul.sub-menu {
        display: block;
    }
    ul#menu-main-nav li.menu-item-has-children:hover ul.sub-menu, ul#menu-main-nav li.menu-item-has-children[aria-expanded="true"] ul.sub-menu {
        top: 0;
    }
    nav ul li ul li {
        font-size: 1.25rem;
        white-space: normal;
    }
    .link-toggle-wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
    }
    .link-toggle-wrapper > a {
        flex: 1;
    }
    .submenu-toggle {
        display: inline-block;
        background: none;
        border: none;
        font-size: 1rem;
        cursor: pointer;
        color: var(--deeper-periwinkle);
    }
}
/* Text
---------------------------------------- */
/*-----------Headers-----------*/
h1, h2, h3, h4, h5, h6 {
    font-family: var(--century-gothic);
    margin: 0.6em 0;
    line-height: 1.2;
    font-style: normal;
    font-weight: 700;
    color: var(--navy);
}
h1 {
    font-size: 2.5rem;
}
h2 {
    font-size: 2rem;
}
h3 {
    font-size: 1.6rem;
}
h4 {
    font-size: 1.333rem;
    line-height: 1.3;
}
h5 {
    font-size: 1.222rem;
    line-height: 1.35;
}
h6 {
    font-size: 1.111rem;
    color: var(--gray);
}

/*-----------Paragraphs-----------*/
p {
    margin: 0 0 0.8em 0;
    line-height:1.5;
}
.flex-container-form p {
    margin: 0;
}

/*-----------Lists-----------*/
main ul, ol {
    margin-bottom: 0.8em;
    margin-left: 1.1em;
    display: block;
    padding-inline-start: 1.25em;
}
main ul ul, main ol ol {
    margin: 0.5em 1.778em 0;
    padding-inline-start: 0.6em;
}
main li {
    position: relative;
    line-height: 1.5;
    margin-bottom: 0.5em;
}
main li::marker {
    color: var(--deeper-periwinkle);
}
main ul li {
    list-style: disc outside none;
}
main ul.checkmark li {
    list-style: "✓ " outside none;
}
main ol li {
    list-style: decimal outside none;
}
main ol li::marker {
    font-family: var(--century-gothic);
    font-weight: 700;
}
main ul ul li, main ol ul li {
    list-style-type: square;
}

/* Images
---------------------------------------- */
img {
    max-width: 100%;
    height: auto;
    display: inline-block;
    vertical-align: middle;
}

/* Links
---------------------------------------- */
a {
    color: inherit;
    text-decoration: none;
    transition: color 300ms ease-out;
}
a:hover {
    cursor: pointer;
}
article a {
    color: var(--deeper-periwinkle);
    background:
      linear-gradient(
        to right,
        rgba(80,134,198,1),
        rgba(80,134,198,1)
      ),
      linear-gradient(
        to right,
        rgba(15,47,67,1),
        rgba(80,134,198,1)
      );
    background-size: 100% 2px, 0 2px;
    background-position: 100% 100%, 0 100%;
    background-repeat: no-repeat;
    transition: background-size 400ms;
  }
article a:hover {
    background-size: 0 2px, 100% 2px;
}
/* Buttons
---------------------------------------- */
.button, .hs-button, input[type="submit"] {
    font-size: 1.2rem;
    cursor: pointer;
    line-height: 1;
    background: none;
    border-radius: 40px;
    margin: 0;
    position: relative;
    text-align: center;
    display: inline-block;
    padding: 0.9em 1.5em;
    transition: all 200ms ease;
    color: var(--white);
    background-color: var(--navy);
    border: none;
    font-weight: 700;
}
.button-small {
    margin: 0 0 auto 0;
    padding: 0.72em 1.4em;
    font-size: 1rem;
}
.button:hover, .button-small:hover, .button:focus, .hs-button:hover, .buttons:hover {
    color: var(--white);
    background-color: var(--deeper-periwinkle);
}

/* Containers
---------------------------------------- */
.flex-container {
    max-width: 1100px;
    height: 100%;
    margin: auto;
    padding: 1em 0;
}
.navigation.flex-container {
    padding: 0;
}
.flex-container-content, .hero-banner .flex-container-content, .cta-banner .flex-container-content, .flex-container-cta-text {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2em;
}
.flex-container-cta-text {
    justify-content: center;
}
.flex-container-form {
    display: flex;
    flex-flow: column nowrap;
}
.hero-banner {
    display: flex;
    justify-content: space-between;
    height: 100%;
    align-items: center;
}
.hero-banner .flex-container-content {
    min-height: 200px;
}
/*----------Columns----------*/
.flex-column, .flex-column-2 {
    flex-basis: 50%;
}
.flex-column-3 {
    flex-basis: 33.333%;
}
.text-column { /* Text Editor Block - Two Column Text + Image */
    flex-basis: 65%;
}
/*-----------Text-----------*/
.flex-container-text, .flex-container-text-centered, .flex-container-text-only {
    display: flex;
    flex-flow: column nowrap;
    align-items: flex-start;
}
.hero-banner .flex-container-text {
    flex-basis: 65%;
}
.flex-container-text-only {
    flex-basis: 100%;
}
.flex-container-text-centered {
    flex-basis: 100%;
    align-items: center;
}
/*-----------Media-----------*/
.flex-container-image img {
    object-fit: contain;
}
.media-reorder {
    order: -1;
}
/*-----------Media Queries-----------*/
@media (max-width: 1190px) {
    .flex-container-content {
        flex-flow: row wrap;  
        justify-content: space-around;   
        gap: unset;   
    }
    .hero-banner .flex-container-content, .cta-banner .flex-container-content {
        min-height: 0;
        justify-content: center;
    }
    .flex-container-text, .flex-column, .flex-column-2, .flex-column-3, .text-column, .hero-banner .flex-container-text, .flex-container-text-centered, .flex-container-text-only {
        flex-basis: 90%;
    }
    .flex-container-image img {
        height: 350px;
    }
    .flex-container-form {
        padding: 0 2.5em;
    }
    .post-content .text-editor-block .flex-container, .post-content .hero-banner .flex-container-text {
        flex-basis: 85%;
    }
    .media-reorder {
        order: 2;
    }
}
@media (max-width: 1024px) {
    .navigation.flex-container {
        padding: 0;
    }
}
@media (max-width: 991px) {
    .flex-container-image img {
        padding: 0 1em;
    }
}

/* HubSpot Form Overrides
---------------------------------------- */
[data-hsfc-id=Renderer] .hsfc-TextareaInput:focus {
    border-color: var(--periwinkle);
}
[data-hsfc-id=Renderer] .hsfc-Button:not([disabled]):hover {
    transform: none !important;   
}

/* Backgrounds
---------------------------------------- */
.background-navy {
    background-color: var(--navy);
    --hsf-field-input__border-color: var(--white);
    --hsf-field-label__color: var(--white);
    --hsf-erroralert__color: var(--white);
    --hsf-button__background-color: var(--periwinkle-tint);
    --hsf-button--hover__background-color: var(--light-gray);
    --hsf-button__color: var(--navy);
}
.background-periwinkle-tint {
    background-color: var(--periwinkle-tint);
}
.background-burgundy {
    background-color: var(--burgundy);
}
/*-----------Text Overrides-----------*/
.background-navy .text-override,
.background-navy .cookie-reset-container,
.background-navy .hbspt-form h2,
.background-navy .hbspt-form h3,
.background-navy .hbspt-form p {
    color: var(--white);
}
.background-periwinkle-tint .text-override,
.background-periwinkle-tint .flex-container-text h2,
.background-periwinkle-tint .flex-container-text h3 {
    color: var(--navy);
}
.background-burgundy .text-override,
.background-burgundy .flex-container-text h2,
.background-burgundy .flex-container-text h3,
.background-burgundy .flex-container-text p {
    color: var(--periwinkle-tint);
}
/*-----------Link Overrides-----------*/
.background-navy .text-override a:not(.button),
.background-navy .cookie-reset-container a {
    color: var(--white);
    border-bottom: 1px solid var(--white);
}
.background-navy .text-override a:hover:not(.button),
.background-navy .cookie-reset-container a:hover {
    border-bottom: 2px solid var(--white);
}
.background-periwinkle-tint .text-override a:not(.button) {
    color: var(--navy);
    font-weight: 700;
    border-bottom: 1px solid var(--navy);
}
.background-periwinkle-tint .text-override a:hover:not(.button) {
    border-bottom: 2px solid var(--navy);
}
.background-burgundy .text-override a:not(.button),
.background-burgundy .cookie-reset-container a {
    color: var(--white);
    border-bottom: 1px solid var(--periwinkle-tint);
}
.background-burgundy .text-override a:hover:not(.button),
.background-burgundy .cookie-reset-container a:hover {
    border-bottom: 2px solid var(--periwinkle-tint);
}
/*-----------Button Overrides-----------*/
.background-navy a.button-override,
.background-navy .hs-button {
    color: var(--periwinkle-tint);
    background-color: transparent;
    border: 2px solid var(--periwinkle-tint);
}
.background-navy a.button-override:hover,
.background-navy .hs-button:hover {
    color: var(--navy);
    background-color: var(--periwinkle-tint);
}
.background-periwinkle-tint a.button-override {
    color: var(--navy);
    background-color: transparent;
    border: 2px solid var(--navy);
}
.background-periwinkle-tint a.button-override:hover {
    color: var(--periwinkle-tint);
    background-color: var(--navy);
}
.background-burgundy a.button-override,
.background-burgundy .hs-button {
    color: var(--periwinkle-tint);
    background-color: transparent;
    border: 2px solid var(--periwinkle-tint);
}
.background-burgundy a.button-override:hover,
.background-burgundy .hs-button:hover {
    color: var(--navy);
    background-color: var(--periwinkle-tint);
}

/* Template Parts
---------------------------------------- */
/*-----------Call-to-Action-----------*/
.cta-banner, .cta-text { /* not used for media + text banner */
    max-width: 900px;
    text-align: center;
    padding: 3em 0;
}
.cta-text {
    padding: 1em 0;
}
.cta-text p {
    margin: 0;
    font-size: 1.2rem;
}
.cta-text a {
    font-family: var(--century-gothic);
}
.cta-banner h2, .cta-banner h3, .cta-banner p,
.cta-banner-media h2, .cta-banner-media h3, .cta-banner-media p,
.flex-container-form h3, .flex-container-form p {
    margin-top: 0;
}
.cta-paragraph-text { /* Used with copy no header */
    margin: 0.6em 0; /* margin top gets overriden by above class */
    font-family: var(--century-gothic);
    line-height: 1.15;
    font-style: normal;
    font-weight: 700;
    font-size: 1.6rem;
}
.sitewide-banner {
    padding: 0.5em 0;
}
.sitewide-banner p {
    margin: 0;
}
@media (max-width: 770px) {
    .sitewide-banner p {
        font-size: 0.8rem;
        text-align: left;
    }
}

/*-----------Cards-----------*/
.grid-cards-section {
    width: 100%;
    padding: 0 2em;
}
/* GRID CONTAINERS */
.grid-cards-frame {
    display: grid;
    width: 100%;
    max-width: 1100px;
    margin: 0 auto;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-template-rows: auto;
    gap: 1.25em;
}
.grid-cards-row-3-max { /* No more than 3 cards across */
    grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
}
/*GRID CONTAINER PADDING*/
.grid-cards-bottom-padding {
    padding-bottom: 1.4em;
}
/* GRID CARDS */
.grid-card, .card-statistics, .card-process {
    min-height: 100%;
    background: var(--white);
    box-shadow: 0 2px 5px var(--light-gray);
    display: flex;
    flex-flow: column wrap;
    color: var(--gray);
    position: relative;
    top: 0;
    border-radius: 10px;
}
.grid-card a:after {
    content: "";
    inset: 0;
    position: absolute;
}
@media(prefers-reduced-motion: no-preference) {
    .card-hover:hover {
        transition: all 0.2s ease-out;
        top: -4px;
        box-shadow: 0 2px 15px var(--light-gray);
    }
}
/** STATISTIC CARDS **/
.card-statistics {
    box-shadow: none;
    align-items: flex-start;
    padding: 1em;
}
/** PROCESS CARDS **/
.card-process {
    background: var(--gray-tint);
    box-shadow: none;
    border-left: 2px solid var(--gray);
    border-radius: 0;
}
.card-process .grid-card-corner {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 2em;
    height: 2em;
    background-color: var(--white);
}
.card-process .grid-card-corner .grid-card-corner-triangle {
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 2em 2em 0 0;
    border-color: #cccdce transparent transparent transparent;
}

/* article */
.grid-card article, .card-process article {
    padding: 0 1em 1em;
    display: flex;    
    flex: 1;
    justify-content: space-between;
    flex-direction: column;
}
.card-process article {
    justify-content: initial;
}
/* images */
.grid-card-icon, .grid-card-logo, .grid-card-image {
    margin-left: 1em;
    background-size: 40%;
    background-repeat: no-repeat;
    background-position: left;
}
.grid-card-image {
    background-size: cover;
    margin: 0;
    position: relative;
}
.grid-card-image img {
    border-radius: 10px 10px 0 0;
}
.grid-card-image a {
    border: none;
}
.grid-card-no-picture {
    padding-top: 1em;
}
.grid-card-icon {
    padding-bottom: 50%;
}
.grid-card-logo {
    padding-bottom: 50%;
    background-size: 75%;
}

/* typography */
.grid-card h2, .grid-card h3, .card-process h3 {
    font-size: 1.25rem;
    line-height: 1.4;
    margin: 0;
    padding: 0.5em 0;
}
.grid-card-paragraph {
    flex: 1;
    justify-content: flex-start;
}
.grid-card-paragraph-padding {
    padding-top: 0.3em;
}
.grid-card p, .card-process p { 
    flex: 1;
}
.grid-card ul, .grid-card-paragraph ul {
    margin: 0 0 1em 1em;
}
.grid-card ul li {
    padding: 0 1.5em;
}
.grid-card ul li:before {
    left: 0;
}
/** STATISTICS CARD TYPOGRAPHY **/
p.stat-number {
    font-family: var(--century-gothic);
    color: var(--deeper-periwinkle);
    font-size: 3rem;
    line-height: 0.2;
    margin: 0 0 0.6em;
    flex: none;
}
p.stat-description {
    font-size: 1.3rem;
    margin: 0;
    text-align: left;
    flex: none;
}
/** PROCESS CARD TYPOGRAPHY **/
.card-process h3 {
    padding: 1em 1em 0.5em 0;
    color: var(--gray);
    display: flex;
	align-items: center;
    min-height: 5em;
}
.process-step {
    font-size: 2rem;
	margin-right: 0.2em;
    color: var(--dark-gray);
}
.process-paragraph {
    padding-bottom: 0.8em;
}
/*-----------Accordion-----------*/
details {
    width: 100%;
}
summary {
    font-family: var(--century-gothic);
    font-size: 1.2rem;
    margin: -0.5em -0.5em 0;
    padding: 0.5em;
}
details > summary {
    padding: 1em;
    cursor: pointer;
}
details[open] > summary {
    padding: 1em 1em 0.5em 1em;
}
details div {
    padding-left: 1.8em;
}

/* Footer
---------------------------------------- */
footer {
    background-color: var(--dark-gray);
    color: var(--white);
}
.footer-container {
    max-width: 1100px;
    height: 100%;
    margin: 0 auto;
    padding: 1em 0;
}
.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 2em 0;
    gap: 2em;
}
.footer-brand {
    flex-basis: 40%;
}
@media (max-width: 1190px) {
    .footer-container {
        padding: 0 2em;
    }
    .footer-content {
        flex-flow: row wrap;
    }
    .footer-brand {
        flex-basis: 100%;
    }
}
@media (max-width: 1024px) {
    .footer-links {
        flex-basis: 100%;
    }
}
/*-----------Text-----------*/
footer h2 {
    color: var(--white);
    margin: 0 0 0.5em;
    font-size: 1.4rem;
}
footer p {
    font-size: 1.05rem;
    margin: 0;
}
footer ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
footer li {
    line-height: 1.2;
    color: var(--white);
    padding: 0 0 1em 0;
}
footer ul li:before {
    content: none;
}
footer a, footer a:visited, footer a:hover {
    color: var(--white);
    text-decoration: none;
    border-bottom: none;
}
footer a:hover:not(.logo) {
    border-bottom: 1px solid var(--white);
}